/*
 * Copyright (c) 1998-2008 TeamDev Ltd. All Rights Reserved.
 * Use is subject to license terms.
 */
package com.teamdev.xpcom.mozilla.demo.components;

import javax.swing.Action;
import javax.swing.JButton;
import javax.swing.plaf.basic.BasicButtonUI;

/**
 * @author Serge Piletsky
 */
public class ActionButton extends JButton
{
    public ActionButton(String hint, Action action)
    {
        super(action);
        setUI(new BasicButtonUI());
        setBorder(null);
        setBorderPainted(false);
        setRolloverEnabled(true);
        setToolTipText(hint);
        setText(null);
        setFocusable(false);
        setDefaultCapable(false);
    }
}
